1.7b

Reconnect partially fixed, bots that login and disconnect can't reconnect.

1.7a

fixed warden offsets

1.7

Starcraft bots no longer disconnect after 2 minutes

1.6i

Added back proxy downloading
made from geno 1.6g
Added check all/uncheck all button

1.6h

Disabled automatic downloading of proxies to avoid the msg box nagging

1.6g

Fixed the save channel button
Fixed adding and removing channels
Fixed a bug that caused newbs to load during rep hours
Added a feature to check if downloadable proxies have been updated every 10 minutes
Added a feature to manaully check if downloadable proxies have been updated

1.6f

Now can spam up to 30,000 channels from 24
Made switching spam in channels much easier
fixed a bug that allowed somebody to keep the bot running after 2 invalid keys were detected after downloading proxies
After downloading proxies, the bot won't close until 6 invalid cdkeys are detected from 2
hid the superspam button to avoid noobs from ipbanning proxies
fixed a bug that allowed somebody to bypass reconnect delay restrictions
fixed a bug that allowed more than 1 bots per proxy when downloading proxies
added a new tls that can connect to genocide and load up to 2 billion proxies from scanlist
changed gui a little
start button no longer needed to be pressed after downloading proxies
added feature to save channels
voided count now counts down when voided bots drop


1.6e

fixed a bug in tls which caused a runtime error if scanlist had over 32,000 proxies
added more cdkeys
cdkey test mode now removes working from cdkeys too (when u spam the words "not voided")


1.6d

now checks if the proxy downloaded is still alive before adding it
minor gui fix
added more cdkeys
removed invalid and voided cdkeys from the encrypted list

1.6c

fixed a bug that caused the bot to duplicate cdkeys when shuffling was enabled
the bot now checks for duplicated cdkeys and removes them
fixed a bug that caused voided cdkeys to not get detected

1.6b

Fixed a bug that caused a runtime error when you try and start the bot
Changed gui a little
Added cdkey shuffling option
Key test mode now puts inuse cdkeys in a text file

1.6a

Added restrictions for genocide when proxies are downloaded
fixed a bug from 1.6 that caused a runtime error when you connected to tls/nes scan
fixed a possible gui bug

1.6

Added ability to download proxies from webpage
Fixed game version invalid error hapenning to 90% of bots for a lot of people
Added 6 additional channels
Added button to spam channel names
Removed duplicate cdkeys that came with the bot
Fixed a bug that caused proxies to not be added when many were found at once

1.5a revision a

Fixed a bug that caused the bot to be unable to detect banned accounts


1.5a

Made files more organized
minor gui fix
bad password and banned names now get removed from names.txt
added detection of bad password accounts
optimized warden to be sent with other packets using the nagle algorithm
removed bot banning
Added keytest mode option
Added option to log chat messages
Fixed a bug that happened when many proxies were sent to genocide at once resulting in only 1 proxy added

1.5

Made from 1.4c
Added transparency
Added fading in and out
Added various forms of protection against cracking cdkeys that come with bot
Fixed a bug that caused bots to not reconnect after being disconnected
The same bug fixed the bots loaded counter
Added 500 additional cdkeys
Reimplemented loading time restrictions
Changed the encryption on the cdkeys

1.4b

Fixed a huge bug which resulted in many bots randomly becoming stuck in login until the proxy died
Nes Scan now restarts when it freezes and scans where it last started off
Fixed a bug with spam delay value causing a runtime error if the value is set to high
Bot now displays whether or not an account password is wrong
Fixed a bug that made bots get stuck during login if the account password was wrong
Added 1,000 working sc keys - genocide now comes with 1,848 encrypted sc keys

1.4a

added 18 channels from 12

1.4

Added warden support
Fixed a bug with nes scan not restarting after freeze
Added possible fix to invalid game version

1.3L beta RC9

Updated hash files
Added Shell NeS_ScaN button
Now comes with NeS_ScaN

1.3L beta RC8

runtime error fixed

1.3L beta RC7

Loadrate for sc now 100%

1.3L beta RC6

removed beta time expiration

1.3L beta RC5

fixed a bug which caused the beta to end on certian days

1.3L beta RC4

loadrate now at about 67%
extended beta

1.3L beta RC3 (executable)

Fixed another bug which caused the beta to end early

1.3L beta RC2

Fixed a bug which caused the beta to end early
Load rate 42%

1.3L beta

Updated and encrypted checkrevision files
Load rate 38%

1.3k

Fixed more virtual chat bugs
Added virtual chat icons
Added the ability for virtual tls to connect to genocide
Partially added virtual ban (doesn't work right now)
Fixed ezbncs not found bugs

1.3j

Fixed a bug in packet parsing
Fixed more virtual chat bugs

1.3i

Fixed a bunch of bugs in virtual chat
Fixed a bug which caused proxies to not be replaced with new proxies from virtual tls

1.3h

bot now removes voided and bad keys when reconnecting bots
bot now support d2, war3, and w3xp
bot now removes wrongproduct keys that aren't sc (after reconnecting) and doesn't test those keys on bnet
bot doesn't remove bad expansion keys
attacksent label has been extended to show more
bnls support partially taken out
nls.dll no longer needed
reduced memory usage by about 1-2mb
added virtual chat

1.3g

Fixed several bugs that would incorrectly show the amount of keys voided, banned, or invalid
Fixed a bug with remote command that allowed bots to add themselves
Fixed a bug which caused genocide to have a runtime error from virtual tls
Fixed a bug of flash8b.ocx which caused genocide to not load by making another genocide exe without flash

1.3f

removed integrated tls in favor of a tls exe
added the feature of having a proxy scanner feed proxies to genocide over the internet

1.3e

changed localhashing values to all hex because some chars together formed EOF / line changing.
maybe fixed tls freezing bug

1.3d

added localhashing
proxies removed after 5 failures to connect instead of 10
fixed loadprotect, now is disabled when unchecked
added bnls_server option in config.txt

1.3c

made bot stable, only tls causes the bot to freeze
changed war3 vbyte to 15, bnls hasn't been updated yet
genocide now only loads bnet working proxies that tls found

1.3b

Fixed a bug that caused memory to leak
Fixed a bug that only allowed 1,000 bots to load -- limit is now 30,000
Amount of online bots possible raised from 1,000 to 30,000
Added code to tls / genocide to help prevent it from freezing
Genocide now calculates potential amount of bots correctly

1.3a

Fixed a bug that made the bot connect to bnls multiple times when not connected
Added bots per proxy in config and in settings

1.3

added proxy scanner inside genocide
fixed freezes
added proxy duplication check
added more keys, from 399 to 848

1.2f

fixes minor bugs such as addchat limit
fixes filespam / rnd spam problems that can cause ipbans
fixed attack counter

1.2e

fixes encrypted v3 loading hours
4 line spam added
spamming without joining channels added
fixed war3 clan creation
fixed flash gui
bot now loads exact amount of bots
bot can now start up without flash8x.ocx (flash disabled)
smartban is now sort of removed
no longer do bots disconnect if you have few bots loaded while spamming
added automatic bot loading configuration when amount of bot per proxy is over 7
removed the green text from the amount of bots loaded

1.2d

added notification of failure for flash support
fixed a reconnection bug

removed yellow, red, and green colors for text ( now its just black) for bots loaded

1.2c

encrypted v3 key support added
bots on encrypted keys can now reconnect without getting invalid key error

1.2b

War3, w3xp, d2dv, d2xp loading support is back
remote command censor now filters stronger
channel observer now is fixed
fixed a bug that only allowed 10-20% of bots to load (now 70-80% load)
users higher than 11 access don't have censor filter on them

1.2a

bot no longer uses bnls when loading sc, sc loads faster.
only connects to bnls, and sends in the checkrevisions.
Connects upon startup
sc only working client supported so far

1.2 beta

fixed checkrevision by using bnls

1.1T

Added TFT and D2XP support
Fixed remote command bug
made bot more stable again
added flood protection for remote command
clan creation is now better

1.1S

Added war3 support
Added better clan creation support

1.1R

Completed a lot of remote command protection to person running bot
made bot more stable

1.1Q 

fixed ix86 vercheck?
made bot more stable

1.1P

Fixed war3 etc

1.1N

Fixed things

1.1M

Remotecommand shouldn't no longer stop functioning
Remotecommand only displays 1 msg of what the botmaster says instead of 100 msgs
Remotecommand now displays what the botmaster sends under channel observer
account creation detection fixed, more war3 should load
A known issue is that bncsutil.dll doesn't accept version 0 ix86, so the bot might display checkrevision failed at times due to this

1.1L

War3 loading fixed, with both the new bncsutil.dll and 0x51 packet fixing

1.1K

Fixed a bug where the loading would stop due to an error- Bots wouldn't respond to loading, but to join / spam buttons
Fixed a bug with parsing the 0x51 packet when a proxy sends a bad packet freezing the bot
Optimized connecting to proxies a little
Parsing of packets - any errors will now exit the function

1.1J

Added back war3 support - but with the bug of loading war3 hashes everytime a bot loads
Other things done but I forgot them

1.1i

sb-flood now gets 2 lines past stealtbot filters
the package now comes with padded starcraft hash files

1.1h 

fixed bugs n shit

1.1G

can now create war3 clans
can now create war3 accounts
now works in its current directory

1.1F

less chance of crashing
fixed bot closes, bot no longer closes itself.
fixed remote command bugs
changed verbyte to CF to work with the 1.14 sc patch

1.1e

fixed freezes and closes, infact I can now run the bot when cpu-burn is on, 1.1d would close.
added remote command feature channel

1.1d

added remote command feature

1.1c
added remote command
fixed bugs to make bot stable

1.1

Added a new gui
Added warcraft 3 support (can't create war3 accounts)
Helped stop loads drop that are under 60 bots due to a bug

1.073

Bot now removes bad keys (banned, invalid, wrongproduct, and unknown result code) 
Should now not freeze anymore
Channel messages now aren't lost when u close channel observer

1.072

Fixes a freeze caused when the bots reconnect

1.071

Fixed channel bug, smartban should be much improved
fixed freeze issue when disconnecting bots

1.07f

Bot IS stable now :)
Fixed runtime error

1.07e

Fixed bot from freezing, should be stable now...

1.07d

fixed bugs

1.07c

fixed bugs

1.07b

fixed bugs

1.07a

fixed bugs

1.07

added smartban
changed gui

1.06c
1.06b
1.06a
1.06

Added channel observer

1.051

Removed the "dupe" remover, bnet proxies are now saved in socks4.txt
Autodetection if load by timer is selected
Fixed the problem where the bot automatically connects on start because tickcount > reconnectdelay

1.05

Added automatic loading and proxy scanning
Fixed reconnect bug for good, (no more crashes finally)

1.048a

Fixed a bug that caused the bot to crash when the bots reconnect by reconnect 
delay and then reconnecting bots manually

1.048

Added automatic removal of voided keys to text file

1.047d

Fixed a bug that caused the bot to close
The bot is finally stable

1.047c

Fixed a bug that caused the bots to not reconnect

1.047b

Fixing annoying number > number while load is enabled
added tooltips

1.047a

Fixed a bug where the remainder of botsloaded divided by 30 wouldn't be sent to spam

1.047

The loading function now uses 30 times less cpu usage than before
fixed infinite loops that would result in the bot crashing

1.046

The bot now withstand high cpu usage
Play a game while genocide runs fine in the backround
Possibly eleminating almost all bugs

1.045a

fixed a bug with file spam option
changed gui a bit, making the text boxes black, text white

1.045

added file spam option

1.044

Lower cpu usage for display flood status
Should fix freezes

1.043D

Should have fixed the freezes caused when reconnecting bots
Loadprotect now activates immediately instead of waiting for the timer

1.043C

Fixed CD-Key issue with d2 keys; fixed d2 support

1.043B

Added warning when different userid's are being loaded

1.043A

Added support for encrypted cdkeys v2
Added detection of invalid and wrongproduct keys

1.043

Added support for encrypted cdkeys

1.042i3

Fixed a bug where the bot would crash when you pressed color

1.042i

Fixed a bug that cause the bot to freeze when reconnecting bots
You can now load SUPERFAST, connect delay as low as ur cpu/bandwidth can handle!

1.042G

Bug that makes bot freeze should be fixed
Made the status window smaller, removed the command text box (useless)
bots no longer reconnect when disconnected
reconnect bots reconnects all bots now with 1 click

1.042F

Fixed a bug which caused the amount of bots flooding to be displayed inaccurately
this version might also stop the freezing


1.042E

Cpu usage lowered


1.042D

Finally fixed that annoying crashbug caused when the bot sends NULL packets, bot now responds to NULL packets


1.042C

Should crash far less often
Updated channel status and equations for it,"BAN" means the channel banned ur load or it went clan private

1.042B

Improved cpu usage drastically when loadmode is enabled
Bot displays now whether a channel ur loading is open or not
BAN status of a channel displayed accurately

Version 1.041G

Added load mute detection
Added a caption showing how many bots are muted they won't add to channel status detection.
Added Channel status detection (If FULL or BAN for loading)  BAN= Channel is open and not under attack.  FULL = Channel is full so ppl cant join.
Moved around the user interface a little bit.
Added read from channel list.

Version 1.041F

D2 support, etc almost all bugs are fixed, bot never crashes etc...



Known Bugs

THIS BUG HAS BEEN FIXED*The amount of bots loaded is bugged after a while and shows an excessive amount of bots.

Version 1.03

1.  Fixed a bug where pressing the Load Protect button always activates loadprotect once.
2.  Superspam added.
3.  Bots send NULL packets every 1 minute to avoid disconnection.
4.  Much more improved CPU usage
5.  Only sends packets to bots ONLINE, thus more packet savings than before.
6.  Much improved flood system, the bots flood more evenly, and saving cpu usage.

Version 1.02

1.  Loadprotect added
2.  0x10 added
3.  Color added
4.  Random Spam added
5.  Reconnect bots and setting reconnect delay seperated
6.  Ability to shutdown(?) or end program if bots loaded goes below certian level.
7.  Added bots loaded

Version 1

1.  Send all the bots to a channel
2.  Send spam

Beta version 2

1.  Fix a bug where connect to bots already online.

Beta version 1

1.  Fixed a bug where bots disconnect after flooding ( the loadbot was invented. : )